Page MenuHomePhabricator

Improve compatibility of desktop VisualEditor with desktop Minerva skin
Closed, ResolvedPublic

Description

Currently, on the desktop Minerva skin, the mobile editor is loaded. If you somehow cheat and load the desktop VisualEditor instead (e.g. https://gerrit.wikimedia.org/r/470087), it works mostly fine!, but there are a few issues I noticed:

In view mode:

BeforeAfter
  • https://gerrit.wikimedia.org/r/470089 Two-tab mode doesn't quite work:
    • No secondary tab is inserted at the top of the page, the only tab always opens the source editor
    • Secondary section edit links are inserted, but they are indistinguishable from the originals
    • Link dividers look weird (huge font size)

In edit mode:

BeforeAfter

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 26 2018, 10:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 470089 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget.init: Make multi-tab mode compatible with Minerva

https://gerrit.wikimedia.org/r/470089

This comment was removed by matmarex.

Change 471999 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] MWTempWikitextEditorWidget: Don't rely on skin to set width for textareas

https://gerrit.wikimedia.org/r/471999

Change 472000 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget: Edit surface padding and gutter for Minerva

https://gerrit.wikimedia.org/r/472000

matmarex updated the task description. (Show Details)Nov 6 2018, 4:37 PM

These patches fix the most glaring issues (they were also mostly straightforward to fix). See task description for screenshots.

I am not planning to work on the remaining issues I noticed – they are IMO less important and also seem more tricky to fix. Desktop Minerva is not a priority right now, I think, so I don't really have time to spend on it. We should file separate tasks about them later.

Change 470089 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget.init: Make multi-tab mode compatible with Minerva

https://gerrit.wikimedia.org/r/470089

Change 471999 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWTempWikitextEditorWidget: Don't rely on skin to set width for textareas

https://gerrit.wikimedia.org/r/471999

Change 472000 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget: Edit surface padding and gutter for Minerva

https://gerrit.wikimedia.org/r/472000

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Nov 14 2018, 4:32 PM

Change 489272 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/MinervaNeue@master] Switch to outside list style for ordered lists too

https://gerrit.wikimedia.org/r/489272

Change 489272 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Switch to outside list style for ordered lists too

https://gerrit.wikimedia.org/r/489272

matmarex updated the task description. (Show Details)Feb 18 2019, 10:58 PM
matmarex updated the task description. (Show Details)

Change 499321 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget.init: Update for Minerva changes

https://gerrit.wikimedia.org/r/499321

Change 499321 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.DesktopArticleTarget.init: Update for Minerva changes

https://gerrit.wikimedia.org/r/499321

ppelberg closed this task as Resolved.May 24 2019, 11:09 PM